curl --request POST \
--url https://api.firecrawl.dev/v2/map \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ignoreCache": false,
"ignoreQueryParameters": true,
"includeSubdomains": true,
"limit": 5000,
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"search": "<string>",
"sitemap": "include",
"timeout": 60000,
"url": "<string>"
}
'import requests
url = "https://api.firecrawl.dev/v2/map"
payload = {
"ignoreCache": False,
"ignoreQueryParameters": True,
"includeSubdomains": True,
"limit": 5000,
"location": {
"country": "US",
"languages": ["en-US"]
},
"search": "<string>",
"sitemap": "include",
"timeout": 60000,
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ignoreCache: false,
ignoreQueryParameters: true,
includeSubdomains: true,
limit: 5000,
location: {country: 'US', languages: ['en-US']},
search: '<string>',
sitemap: 'include',
timeout: 60000,
url: '<string>'
})
};
fetch('https://api.firecrawl.dev/v2/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": [
{
"url": "<string>",
"description": "<string>",
"title": "<string>"
}
],
"success": true
}{
"error": "Payment required to access this resource."
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}マップ
Firecrawl APIキーを必要とするAIエージェントですか?自動オンボーディングの手順については、firecrawl.dev/agent-onboarding/SKILL.mdを参照してください。
承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ボディ
クロールの開始地点となるベースURL
サイトマップキャッシュを無視して最新のURLを取得します。サイトマップデータは最大7日間キャッシュされるため、サイトマップを最近更新した場合はこのパラメータを指定してください。
クエリパラメータ付きのURLを返さない
このサイトのサブドメインを含める
返すリンクの最大数
x <= 100000リクエストのロケーション設定です。指定すると、利用可能な場合は適切なプロキシを使用し、対応する言語およびタイムゾーン設定をエミュレートします。指定しない場合は、デフォルトで「US」が使用されます。
Show child attributes
Show child attributes
検索クエリを指定すると、結果が関連度の高い順に並べ替えられます。例: 「blog」を指定すると、URL 内に「blog」を含むものが関連度順に返されます。
マッピング時のサイトマップモードです。skip に設定すると、URL の検出にサイトマップは使用されません。only に設定すると、サイトマップ内にある URL だけが返されます。デフォルトの include では、サイトマップとその他の手法を併用して URL を検出します。
skip, include, only このリクエスト単位の 脅威保護 オーバーライドです。指定したフィールドは、このリクエストに限り、組織のポリシー内の対応するフィールドを置き換えます。省略したフィールドには組織レベルの値がそのまま適用されます。利用するには、チームで脅威保護が有効になっている必要があります(エンタープライズ機能)。有効でない場合、リクエストは 403 で拒否されます。組織でリクエストごとのオーバーライドが無効になっている場合、このオブジェクトを含むリクエストはすべて 403 で拒否されます。チームに対して脅威保護が強制適用されている場合、mode に off は設定できません。
Show child attributes
Show child attributes
タイムアウト(ミリ秒単位)。既定ではタイムアウトはありません。

